Package org.apache.cxf.bus.managers

# Class WorkQueueImplMBeanWrapper

java.lang.Object
org.apache.cxf.bus.managers.WorkQueueImplMBeanWrapper

All Implemented Interfaces:
  `ManagedComponent`

@ManagedResource(componentName="WorkQueue", description="The CXF work queue", currencyTimeLimit=15, persistPolicy="OnUpdate", persistPeriod=200) public class WorkQueueImplMBeanWrapper extends Object implements ManagedComponent

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `WorkQueueImplMBeanWrapper(AutomaticWorkQueueImpl wq, WorkQueueManager mgr)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getActiveCount()`
  `int`
  `getHighWaterMark()`
  `int`
  `getLargestPoolSize()`
  `int`
  `getLowWaterMark()`
  `ObjectName`
  `getObjectName()`
  `int`
  `getPoolSize()`
  `long`
  `getWorkQueueMaxSize()`
  `long`
  `getWorkQueueSize()`
  `boolean`
  `isEmpty()`
  `boolean`
  `isFull()`
  `void`
  `setHighWaterMark(int hwm)`
  `void`
  `setLowWaterMark(int lwm)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### WorkQueueImplMBeanWrapper

    public WorkQueueImplMBeanWrapper(AutomaticWorkQueueImpl wq, WorkQueueManager mgr)

- ## Method Details

  - ### getWorkQueueMaxSize

    @ManagedAttribute(description="The WorkQueueMaxSize", persistPolicy="OnUpdate") public long getWorkQueueMaxSize()

  - ### getWorkQueueSize

    @ManagedAttribute(description="The WorkQueue Current size", persistPolicy="OnUpdate") public long getWorkQueueSize()

  - ### getLargestPoolSize

    @ManagedAttribute(description="The largest number of threads") public int getLargestPoolSize()

  - ### getPoolSize

    @ManagedAttribute(description="The current number of threads") public int getPoolSize()

  - ### getActiveCount

    @ManagedAttribute(description="The number of threads currently busy") public int getActiveCount()

  - ### isEmpty

    @ManagedAttribute(description="The WorkQueue has nothing to do", persistPolicy="OnUpdate") public boolean isEmpty()

  - ### isFull

    @ManagedAttribute(description="The WorkQueue is very busy") public boolean isFull()

  - ### getHighWaterMark

    @ManagedAttribute(description="The WorkQueue HighWaterMark", persistPolicy="OnUpdate") public int getHighWaterMark()

  - ### setHighWaterMark

    public void setHighWaterMark(int hwm)

  - ### getLowWaterMark

    @ManagedAttribute(description="The WorkQueue LowWaterMark", persistPolicy="OnUpdate") public int getLowWaterMark()

  - ### setLowWaterMark

    public void setLowWaterMark(int lwm)

  - ### getObjectName

    public ObjectName getObjectName() throws JMException
    Specified by:
      `getObjectName` in interface `ManagedComponent`
    Throws:
      `JMException`